org.eclipse.actf.util.httpproxy.util

## Class Logger

- java.lang.Object
- - org.eclipse.actf.util.httpproxy.util.Logger

    public class Logger
    extends Object

Utility class for logging.

### Field Summary

Fields
`static String` `DEFAULT_LOGGING_CONFIGURATION`

### Method Summary

Methods
`static void` `configure()`
`static void` `configure(InputStream configIS)`
`void` `debug(String msg)` Write a log message for debug.
`void` `debug(String msg, Throwable e)`
`void` `fatal(String msg)` Write a log message for serious situation.
`void` `fatal(String msg, Throwable e)`
`static Logger` `getLogger(Class clazz)`
`void` `info(String msg)` Write a log message for informational messages.
`boolean` `isDebugEnabled()`
`boolean` `isMethodTracingEnabled()`
`static void` `setConfigPropertyName(String name)`
`void` `warning(String msg)` Write a log message notifying a potential problem.
`void` `warning(String msg, Throwable e)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### DEFAULT_LOGGING_CONFIGURATION

    public static final String DEFAULT_LOGGING_CONFIGURATION

See Also:
  Constant Field Values

### Method Detail

#### setConfigPropertyName

    public static void setConfigPropertyName(String name)

Parameters:
  `name` -

#### getLogger

    public static Logger getLogger(Class clazz)

Parameters:
  `clazz` -
Returns:

#### configure

    public static void configure()
                          throws Exception

Throws:
  `Exception`

#### configure

    public static void configure(InputStream configIS)
                          throws Exception

Parameters:
  `configIS` -
Throws:
  `Exception`

#### isDebugEnabled

    public final boolean isDebugEnabled()

Returns:

#### isMethodTracingEnabled

    public final boolean isMethodTracingEnabled()

Returns:

#### fatal

    public void fatal(String msg)

Write a log message for serious situation.

Parameters:
  `msg` -

#### fatal

    public void fatal(String msg,
             Throwable e)

Parameters:
  `msg` -
  `e` -

#### warning

    public void warning(String msg)

Write a log message notifying a potential problem.

Parameters:
  `msg` -

#### warning

    public void warning(String msg,
               Throwable e)

Parameters:
  `msg` -
  `e` -

#### info

    public void info(String msg)

Write a log message for informational messages.

Parameters:
  `msg` -

#### debug

    public void debug(String msg)

Write a log message for debug.

Parameters:
  `msg` -

#### debug

    public void debug(String msg,
             Throwable e)

Parameters:
  `msg` -
  `e` -